# api\_procedures\_addInstruction.AddInstructionWithVenueIdParams

[@polymeshassociation/polymesh-sdk](/polymesh-sdk-api-reference/docs-alpha/classes.md) / [Modules](/polymesh-sdk-api-reference/docs-alpha/modules.md) / [api/procedures/addInstruction](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_addinstruction.md) / AddInstructionWithVenueIdParams

## Interface: AddInstructionWithVenueIdParams

[api/procedures/addInstruction](/polymesh-sdk-api-reference/docs-alpha/modules-1/api_procedures_addinstruction.md).AddInstructionWithVenueIdParams

### Hierarchy

* [`AddInstructionParams`](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md)

  ↳ **`AddInstructionWithVenueIdParams`**

### Table of contents

#### Properties

* [endBlock](#endblock)
* [legs](#legs)
* [tradeDate](#tradedate)
* [valueDate](#valuedate)
* [venueId](#venueid)

### Properties

#### endBlock

• `Optional` **endBlock**: `BigNumber`

block at which the Instruction will be executed automatically (optional, the Instruction will be executed when all participants have authorized it if not supplied)

**Inherited from**

[AddInstructionParams](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md).[endBlock](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md#endblock)

**Defined in**

[api/procedures/addInstruction.ts:63](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/addInstruction.ts#L63)

***

#### legs

• **legs**: { `amount`: `BigNumber` ; `asset`: `string` | [`Asset`](/polymesh-sdk-api-reference/docs-alpha/classes/api_entities_asset.asset.md) ; `from`: [`PortfolioLike`](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md#portfoliolike) ; `to`: [`PortfolioLike`](/polymesh-sdk-api-reference/docs-alpha/modules-1/types.md#portfoliolike) }\[]

array of Asset movements (amount, from, to, asset)

**Inherited from**

[AddInstructionParams](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md).[legs](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md#legs)

**Defined in**

[api/procedures/addInstruction.ts:46](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/addInstruction.ts#L46)

***

#### tradeDate

• `Optional` **tradeDate**: `Date`

date at which the trade was agreed upon (optional, for off chain trades)

**Inherited from**

[AddInstructionParams](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md).[tradeDate](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md#tradedate)

**Defined in**

[api/procedures/addInstruction.ts:55](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/addInstruction.ts#L55)

***

#### valueDate

• `Optional` **valueDate**: `Date`

date at which the trade was executed (optional, for off chain trades)

**Inherited from**

[AddInstructionParams](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md).[valueDate](/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionparams.md#valuedate)

**Defined in**

[api/procedures/addInstruction.ts:59](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/addInstruction.ts#L59)

***

#### venueId

• **venueId**: `BigNumber`

**Defined in**

[api/procedures/addInstruction.ts:74](https://github.com/PolymathNetwork/polymesh-sdk/blob/31dfa0dc/src/api/procedures/addInstruction.ts#L74)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/docs-alpha/interfaces/api_procedures_addinstruction.addinstructionwithvenueidparams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
